aboutsummaryrefslogtreecommitdiffstats
path: root/tests/tools
diff options
context:
space:
mode:
authorSergey Kvachonok <ravenexp@gmail.com>2016-03-25 08:47:45 +0300
committerSergey Kvachonok <ravenexp@gmail.com>2016-03-25 10:35:42 +0300
commite14055edf06f4551f220b3875a95d8c25b8b7aae (patch)
tree18c909525a7a26d10b3a9244dc02e80274c52750 /tests/tools
parentd53a16e43a6db35b15584e582c64cfac0f7e5e3d (diff)
downloadyosys-e14055edf06f4551f220b3875a95d8c25b8b7aae.tar.gz
yosys-e14055edf06f4551f220b3875a95d8c25b8b7aae.tar.bz2
yosys-e14055edf06f4551f220b3875a95d8c25b8b7aae.zip
Optionally use ${CC} when compiling test utils.
Default to gcc when not set.
Diffstat (limited to 'tests/tools')
-rwxr-xr-xtests/tools/autotest.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/tools/autotest.sh b/tests/tools/autotest.sh
index 76668bede..840cb19ff 100755
--- a/tests/tools/autotest.sh
+++ b/tests/tools/autotest.sh
@@ -16,7 +16,7 @@ toolsdir="$(cd $(dirname $0); pwd)"
warn_iverilog_git=false
if [ ! -f $toolsdir/cmp_tbdata -o $toolsdir/cmp_tbdata.c -nt $toolsdir/cmp_tbdata ]; then
- ( set -ex; gcc -Wall -o $toolsdir/cmp_tbdata $toolsdir/cmp_tbdata.c; ) || exit 1
+ ( set -ex; ${CC:-gcc} -Wall -o $toolsdir/cmp_tbdata $toolsdir/cmp_tbdata.c; ) || exit 1
fi
while getopts xmGl:wkjvref:s:p:n: opt; do